Ошибка загрузки библиотек в Sikuli


(fxlancer) #1

Инструмен Sikuli похоже недавно обновился. Скачал сегодня Sikuli API. Начал делать на нем скрипт. Однако при обращении к элементам выдает ошибку

 

[error] org.sikuli.script.FileManager.loadLibrary: Native library could not be loaded: VisionProxy
java.lang.UnsatisfiedLinkError: C:\Users\qa\Desktop\SikuliX\libs\VisionProxy.dll: Can't find dependent libraries
[error] Since native library was found, it might be a problem with needed dependent libraries
 
Настраивал как здесь описано - https://github.com/RaiMan/SikuliX-IDE/wiki/Usage-in-Java-programming
Подключил к проекту в  IntelliJ IDEA - sikuli-script.jar, путь к папке libs с dll файлами (там же и VisionProxy лежит) прописал в path в System variables.("C:\Users\qa\Desktop\SikuliX\libs") 
В чем ошибка?

(rpwheeler) #2

Инструмен Sikuli похоже недавно обновился.

Сегодня и обновился. 
 
Похожая проблема открыта на оф.форуме поддержки: https://answers.launchpad.net/sikuli/+question/229366 , там создавший тему решил свои проблемы возвратом к предыдущей версии, RC3.
 
Я бы навскидку порекомендовал
- еще раз проверить наличие и "подхват" PATH в новой версии
- попробовать скопировать эту .dll куда-нибудь в папку, которая уже была в PATH до сегодня и посмотреть, сработает ли
- также попробовать скопировать ее в какую-то из папок Java CLASSPATH


(Olexsandr Borisov) #3

Аналогично было, решил переустановкой на рс3